/*
 * Class BOX [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_458 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_458 [] = {0xFF01,237,457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_458 [] = {0xFF01,457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_458 [] = {0xFF01,457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_458 [] = {0xFF01,457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_458 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_458 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_458 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_458 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_458 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_458 [] = {457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_458 [] = {0xFF01,457,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_458 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_458 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_458[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_458), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_458), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_458), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_458), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_458), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_458), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_458), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_458), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_458), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_458), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_458), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_458), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_458), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_458), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_458), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_458), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init458(void)
{
	IDSC(desc_458, 0, 457);
	IDSC(desc_458 + 1, 1, 457);
	IDSC(desc_458 + 32, 77, 457);
	IDSC(desc_458 + 41, 35, 457);
}


#ifdef __cplusplus
}
#endif
